apiVersion: apps/v1
kind: DaemonSet
metadata:
  labels:
    app.kubernetes.io/name: process-exporter
  name: process-exporter
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: process-exporter
  template:
    metadata:
      labels:
        app.kubernetes.io/name: process-exporter
    spec:
      containers:
        - image: ncabatoff/process-exporter:0.8.1@sha256:912d6bb617784f713e04f7dfacacc8a2ff07131325d8334eb5055bd372b2c0e5
          name: process-exporter
          args:
          - --procfs
          - /host/proc
          - -config.path
          - /config/config.yaml
          ports:
          - containerPort: 9256
            protocol: TCP
            name: http
          securityContext:
            privileged: true
          volumeMounts:
          - mountPath: /host/proc
            name: host-proc
          - mountPath: /config/config.yaml
            name: process-exporter-config
            subPath: config.yaml
      volumes:
      - name: process-exporter-config
        configMap:
          name: process-exporter-config
      - name: host-proc
        hostPath:
          path: /proc

